pcl::visualization::PointCloudColorHandlerCustom< PointT > Class Template Reference
Module visualization

Handler for predefined user colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandlerCustom< PointT >:

## Public Types

typedef boost::shared_ptr< PointCloudColorHandlerCustom< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudColorHandlerCustom< PointT > > | ConstPtr
Public Types inherited from pcl::visualization::PointCloudColorHandler< PointT >
typedef pcl::PointCloud< PointT > | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudColorHandler< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudColorHandler< PointT > > | ConstPtr

## Public Member Functions

| PointCloudColorHandlerCustom (double r, double g, double b)
| Constructor. More...
| PointCloudColorHandlerCustom (const PointCloudConstPtr &cloud, double r, double g, double b)
| Constructor. More...
virtual | ~PointCloudColorHandlerCustom ()
| Destructor. More...
virtual std::string | getName () const
| Abstract getName method. More...
virtual std::string | getFieldName () const
| Get the name of the field used. More...
virtual bool | getColor (vtkSmartPointer< vtkDataArray > &scalars) const
| Obtain the actual color for the input dataset as vtk scalars. More...
Public Member Functions inherited from pcl::visualization::PointCloudColorHandler< PointT >
| PointCloudColorHandler ()
| Constructor. More...
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandler ()
| Destructor. More...
bool | isCapable () const
| Check if this handler is capable of handling the input data or not. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Protected Attributes

double | r_
| Internal R, G, B holding the values given by the user. More...
double | g_
double | b_
Protected Attributes inherited from pcl::visualization::PointCloudColorHandler< PointT >
PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_idx_
| The index of the field holding the data that represents the color. More...
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud. More...

## Detailed Description

### template<typename PointT>
class pcl::visualization::PointCloudColorHandlerCustom< PointT >

Handler for predefined user colors.

The color at each point will be drawn as the use given R, G, B values.

Author
  Radu B. Rusu

Definition at line 191 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

template<typename PointT>

typedef boost::shared_ptr<const PointCloudColorHandlerCustom<PointT> > pcl::visualization::PointCloudColorHandlerCustom< PointT >::ConstPtr

Definition at line 199 of file point_cloud_color_handlers.h.

template<typename PointT>

typedef boost::shared_ptr<PointCloudColorHandlerCustom<PointT> > pcl::visualization::PointCloudColorHandlerCustom< PointT >::Ptr

Definition at line 198 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

template<typename PointT>

pcl::visualization::PointCloudColorHandlerCustom< PointT >::PointCloudColorHandlerCustom | ( | double | r,
|  | double | g,
|  | double | b
| ) |  |

inline

Constructor.

Definition at line 202 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_.

template<typename PointT>

pcl::visualization::PointCloudColorHandlerCustom< PointT >::PointCloudColorHandlerCustom | ( | const PointCloudConstPtr & | cloud,
|  | double | r,
|  | double | g,
|  | double | b
| ) |  |

inline

Constructor.

Definition at line 212 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_.

template<typename PointT>

virtual pcl::visualization::PointCloudColorHandlerCustom< PointT >::~PointCloudColorHandlerCustom | ( |  | ) |

inline virtual

Destructor.

Definition at line 223 of file point_cloud_color_handlers.h.

## Member Function Documentation

template<typename PointT >

bool pcl::visualization::PointCloudColorHandlerCustom< PointT >::getColor | ( | vtkSmartPointer< vtkDataArray > & | scalars | ) | const

virtual

Obtain the actual color for the input dataset as vtk scalars.

Parameters

  [out] | scalars | the output scalars containing the color for the dataset

Returns
  true if the operation was successful (the handler is capable and the input cloud was given as a valid pointer), false otherwise

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 45 of file point_cloud_color_handlers.hpp.

template<typename PointT>

virtual std::string pcl::visualization::PointCloudColorHandlerCustom< PointT >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 231 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::getColor().

template<typename PointT>

virtual std::string pcl::visualization::PointCloudColorHandlerCustom< PointT >::getName | ( |  | ) | const

inline virtual

Abstract getName method.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 227 of file point_cloud_color_handlers.h.

## Member Data Documentation

template<typename PointT>

double pcl::visualization::PointCloudColorHandlerCustom< PointT >::b_

protected

Definition at line 247 of file point_cloud_color_handlers.h.

template<typename PointT>

double pcl::visualization::PointCloudColorHandlerCustom< PointT >::g_

protected

Definition at line 247 of file point_cloud_color_handlers.h.

template<typename PointT>

double pcl::visualization::PointCloudColorHandlerCustom< PointT >::r_

protected

Internal R, G, B holding the values given by the user.

Definition at line 247 of file point_cloud_color_handlers.h.

The documentation for this class was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/visualization/include/pcl/visualization/point_cloud_color_handlers.h
- /build/pcl-6_P28C/pcl-1.7.2/visualization/include/pcl/visualization/impl/point_cloud_color_handlers.hpp